# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeSequence Class Reference

`#include <TDF_AttributeSequence.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TDF_AttributeSequence ()
Standard_EXPORT void | Clear ()
| ~TDF_AttributeSequence ()
Standard_EXPORT const TDF_AttributeSequence & | Assign (const TDF_AttributeSequence &Other)
const TDF_AttributeSequence & | operator= (const TDF_AttributeSequence &Other)
Standard_EXPORT void | Append (const Handle(TDF_Attribute)&T)
void | Append (TDF_AttributeSequence &S)
Standard_EXPORT void | Prepend (const Handle(TDF_Attribute)&T)
void | Prepend (TDF_AttributeSequence &S)
void | InsertBefore (const Standard_Integer Index, const Handle(TDF_Attribute)&T)
void | InsertBefore (const Standard_Integer Index, TDF_AttributeSequence &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(TDF_Attribute)&T)
void | InsertAfter (const Standard_Integer Index, TDF_AttributeSequence &S)
Standard_EXPORT const Handle_TDF_Attribute & | First () const
Standard_EXPORT const Handle_TDF_Attribute & | Last () const
void | Split (const Standard_Integer Index, TDF_AttributeSequence &Sub)
Standard_EXPORT const Handle_TDF_Attribute & | Value (const Standard_Integer Index) const
const Handle_TDF_Attribute & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(TDF_Attribute)&I)
Standard_EXPORT Handle_TDF_Attribute & | ChangeValue (const Standard_Integer Index)
Handle_TDF_Attribute & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | TDF_AttributeSequence (const TDF_AttributeSequence &Other)

## Constructor & Destructor Documentation

TDF_AttributeSequence::TDF_AttributeSequence | ( |  | ) |

TDF_AttributeSequence::~TDF_AttributeSequence | ( |  | ) | `[inline]`

Standard_EXPORT TDF_AttributeSequence::TDF_AttributeSequence | ( | const TDF_AttributeSequence & | Other | ) | `[private]`

## Member Function Documentation

void TDF_AttributeSequence::Append | ( | TDF_AttributeSequence & | S | ) |

Standard_EXPORT void TDF_AttributeSequence::Append | ( | const Handle(TDF_Attribute)& | T | ) |

Standard_EXPORT const TDF_AttributeSequence& TDF_AttributeSequence::Assign | ( | const TDF_AttributeSequence & | Other | ) |

Standard_EXPORT Handle_TDF_Attribute& TDF_AttributeSequence::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDF_AttributeSequence::Clear | ( |  | ) |

Standard_EXPORT const Handle_TDF_Attribute& TDF_AttributeSequence::First | ( |  | ) | const

void TDF_AttributeSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | TDF_AttributeSequence & | S
| ) |

Standard_EXPORT void TDF_AttributeSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(TDF_Attribute)& | T
| ) |

void TDF_AttributeSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | TDF_AttributeSequence & | S
| ) |

void TDF_AttributeSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(TDF_Attribute)& | T
| ) |

Standard_EXPORT const Handle_TDF_Attribute& TDF_AttributeSequence::Last | ( |  | ) | const

void TDF_AttributeSequence::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_AttributeSequence::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_AttributeSequence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_TDF_Attribute& TDF_AttributeSequence::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_TDF_Attribute& TDF_AttributeSequence::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDF_AttributeSequence& TDF_AttributeSequence::operator= | ( | const TDF_AttributeSequence & | Other | ) | `[inline]`

void TDF_AttributeSequence::Prepend | ( | TDF_AttributeSequence & | S | ) |

Standard_EXPORT void TDF_AttributeSequence::Prepend | ( | const Handle(TDF_Attribute)& | T | ) |

Standard_EXPORT void TDF_AttributeSequence::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TDF_AttributeSequence::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDF_AttributeSequence::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TDF_Attribute)& | I
| ) |

void TDF_AttributeSequence::Split | ( | const Standard_Integer | Index,
|  | TDF_AttributeSequence & | Sub
| ) |

Standard_EXPORT const Handle_TDF_Attribute& TDF_AttributeSequence::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TDF_AttributeSequence.hxx